Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 607224 - Review Request: eclipse-fedorapackager - Eclipse plug-in which helps to interact with Fedora infrastructure
Review Request: eclipse-fedorapackager - Eclipse plug-in which helps to inter...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-23 10:34 EDT by Severin Gehwolf
Modified: 2010-06-30 08:51 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-30 08:51:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
akurtako: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Severin Gehwolf 2010-06-23 10:34:29 EDT
Spec URL: http://www.cs.toronto.edu/~sgehwolf/fedora/rpm-work/eclipse-fedorapackager.spec
SRPM URL: http://www.cs.toronto.edu/~sgehwolf/fedora/rpm-work/eclipse-fedorapackager-0.0.3-1.fc13.src.rpm
Description: 

Hi! I've created a RPM package for the Eclipse fedorapackager plug-in. The plug-in helps Fedora contributors to interact with the Fedora infrastructure -
Koji, Bodhi, CVS and etc.
Comment 1 Severin Gehwolf 2010-06-23 10:42:23 EDT
$ rpmlint SPECS/eclipse-fedorapackager.spec 
SPECS/eclipse-fedorapackager.spec: W: invalid-url Source0: eclipse-fedorapackager.tar.xz
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

Since there aren't any official release tarballs yet, I think this still conforms to http://fedoraproject.org/wiki/Packaging/SourceURL

$ rpmlint RPMS/noarch/eclipse-fedorapackager-0.0.3-1.fc13.noarch.rpm 
eclipse-fedorapackager.noarch: W: dangling-symlink /usr/share/eclipse/dropins/packager/eclipse/plugins/ws-commons-util.jar /usr/share/java/ws-commons-util.jar
eclipse-fedorapackager.noarch: W: dangling-symlink /usr/share/eclipse/dropins/packager/eclipse/plugins/xmlrpc3-client.jar /usr/share/java/xmlrpc3-client.jar
eclipse-fedorapackager.noarch: W: dangling-symlink /usr/share/eclipse/dropins/packager/eclipse/plugins/commons-ssl.jar /usr/share/java/not-yet-commons-ssl.jar
eclipse-fedorapackager.noarch: W: dangling-symlink /usr/share/eclipse/dropins/packager/eclipse/plugins/xmlrpc3-common.jar /usr/share/java/xmlrpc3-common.jar
eclipse-fedorapackager.noarch: W: dangling-symlink /usr/share/eclipse/dropins/packager/eclipse/plugins/org.json.jar /usr/share/java/json.jar
1 packages and 0 specfiles checked; 0 errors, 5 warnings.

By R/BR of the spec file, I make sure link targets will always be there.

Thanks!
Comment 2 Alexander Kurtakov 2010-06-23 11:36:40 EDT
I'll take this one.
Comment 3 Alexander Kurtakov 2010-06-23 12:26:27 EDT
Review:
OK: rpmlint must be run on every package. The output should be posted in the review. Output in comment 1 is ok. These dangling-symlinks looks like false positives to me.
OK: The package must be named according to the Package Naming Guidelines .
OK: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
OK: The package must meet the Packaging Guidelines .
OK: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
OK: The License field in the package spec file must match the actual license. 
OK: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
OK: The spec file must be written in American English. 
OK: The spec file for the package MUST be legible. 
FIXIT: The sources used to build the package must match the upstream source, as provided in the spec URL. There are both download instructions and fetch shell script please clarify which one is used and remove the other.
OK: The package MUST successfully compile and build into binary rpms on at least one primary architecture. 
OK: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
OK: Packages must NOT bundle copies of system libraries.[11]
OK: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. 
OK: A Fedora package must not list a file more than once in the spec file's %files listings. 
OK: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. 
OK: Each package must consistently use macros. 
OK: The package must contain code, or permissable content. 
OK: If a package includes something as %doc, it must not affect the runtime of the application. 
OK: Packages must not own files or directories already owned by other packages. 
OK: All filenames in rpm packages must be valid UTF-8. 

Other comments:
* please remove the -v -D parameters from the pdebuild call, they are not really needed and make the output so unreadable
Comment 4 Severin Gehwolf 2010-06-23 14:51:43 EDT
> FIXIT: The sources used to build the package must match the upstream source, as
> provided in the spec URL. There are both download instructions and fetch shell
> script please clarify which one is used and remove the other.

I've updated the spec file to include the command sequence as to how the source tarball has been produced. It's a tarball containing revision 7131f3988117c916c04602a78928c7aee5213900 of git://git.fedorahosted.org/eclipse-fedorapackager.git. Generation of the tarball should be reproducible now.

Other source references have been removed.

> Other comments:
> * please remove the -v -D parameters from the pdebuild call, they are not
> really needed and make the output so unreadable

Fixed. Totally forgot about removing those.

For reference
SPEC: http://www.cs.toronto.edu/~sgehwolf/fedora/rpm-work/eclipse-fedorapackager.spec 
SRPM: http://www.cs.toronto.edu/~sgehwolf/fedora/rpm-work/eclipse-fedorapackager-0.0.3-1.fc13.src.rpm

Thanks!
Comment 5 Alexander Kurtakov 2010-06-23 14:59:26 EDT
When you change the spec you have to bump the Release and add a changelog entry describing what you have changed.
Comment 7 Alexander Kurtakov 2010-06-23 15:17:21 EDT
Thanks, 

Package is APPROVED.
Comment 8 Alexander Kurtakov 2010-06-23 15:17:47 EDT
Lifting FE-NEEDSPONSOR.
Comment 9 Severin Gehwolf 2010-06-23 15:33:43 EDT
New Package CVS Request
=======================
Package Name: eclipse-fedorapackager
Short Description: Eclipse plug-in which helps to interact with Fedora infrastructure
Owners: jerboaa
Branches: F-13
InitialCC: jerboaa
Comment 10 Jason Tibbitts 2010-06-26 04:05:47 EDT
CVS done (by process-cvs-requests.py).
Comment 11 Alexander Kurtakov 2010-06-30 07:36:37 EDT
Severin, 
Once you build the package in koji you should close this bug.
Ideally with a link to the successful koji build.
Comment 12 Severin Gehwolf 2010-06-30 08:51:29 EDT
Closing this bug. eclipse-fedorapackager is now in rawhide:

http://koji.fedoraproject.org/koji/taskinfo?taskID=2278809

Note You need to log in before you can comment on or make changes to this bug.